"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProtectAccessory = exports.ProtectBase = void 0;
class ProtectBase {
    // The constructor initializes key variables and calls configureDevice().
    constructor(nvr) {
        this.api = nvr.platform.api;
        this.debug = nvr.platform.debug.bind(this);
        this.hap = this.api.hap;
        this.log = nvr.platform.log;
        this.nvr = nvr;
        this.nvrApi = nvr.nvrApi;
        this.platform = nvr.platform;
    }
    // Utility function to return the fully enumerated name of this camera.
    name() {
        return this.nvr.nvrApi.getNvrName();
    }
}
exports.ProtectBase = ProtectBase;
class ProtectAccessory extends ProtectBase {
    // The constructor initializes key variables and calls configureDevice().
    constructor(nvr, accessory) {
        // Call the constructor of our base class.
        super(nvr);
        // Set the accessory.
        this.accessory = accessory;
        // Configure the device.
        void this.configureDevice();
    }
    // Utility function to return the fully enumerated name of this camera.
    name() {
        var _a;
        return this.nvr.nvrApi.getFullName((_a = this.accessory.context.camera) !== null && _a !== void 0 ? _a : null);
    }
}
exports.ProtectAccessory = ProtectAccessory;
//# sourceMappingURL=protect-accessory.js.map